lapd_msg_ctx Struct Reference
LAPD implementation common part

LAPD message context. More...

`#include <lapd_core.h>`

## Data Fields

struct lapd_datalink * | dl
int | n201
uint8_t | cr
uint8_t | sapi
uint8_t | tei
uint8_t | lpd
uint8_t | format
uint8_t | p_f
uint8_t | n_send
uint8_t | n_recv
uint8_t | s_u
int | length
uint8_t | more

## Detailed Description

LAPD message context.

## Field Documentation

## cr

uint8_t lapd_msg_ctx::cr

Referenced by l2_ph_data_ind(), lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_disc(), lapd_rx_u_dm(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), lapd_udata_req(), and lapdm_send_ph_data_req().

## dl

struct lapd_datalink* lapd_msg_ctx::dl

Referenced by l2_ph_data_ind(), lapd_acknowledge(), lapd_data_req(), lapd_est_req(), lapd_ph_data_ind(), lapd_recv_dlsap(), lapd_rel_req(), lapd_rel_req_idle(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u(), lapd_rx_u_disc(), lapd_rx_u_dm(), lapd_rx_u_frmr(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_susp_req(), lapd_t200_cb(), lapd_udata_req(), lapdm_send_ph_data_req(), mdl_error(), rslms_rx_rll(), send_dl_l3(), send_rslms_dlsap(), set_lapdm_context(), and update_pending_frames().

## format

uint8_t lapd_msg_ctx::format

Referenced by l2_ph_data_ind(), lapd_acknowledge(), lapd_est_req(), lapd_ph_data_ind(), lapd_rel_req(), lapd_res_req(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), lapd_udata_req(), lapdm_rx_not_permitted(), and lapdm_send_ph_data_req().

## length

int lapd_msg_ctx::length

Referenced by l2_ph_data_ind(), lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_disc(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), lapd_udata_req(), and lapdm_rx_not_permitted().

## lpd

uint8_t lapd_msg_ctx::lpd

Referenced by l2_ph_data_ind(), and lapdm_send_ph_data_req().

## more

uint8_t lapd_msg_ctx::more

Referenced by l2_ph_data_ind(), lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_disc(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_dm(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_t200_cb(), lapd_udata_req(), and lapdm_send_ph_data_req().

## n201

int lapd_msg_ctx::n201

Referenced by l2_ph_data_ind(), lapd_rx_i(), lapd_rx_u_sabm(), lapd_rx_u_ua(), lapd_rx_u_ui(), lapd_send_i(), and set_lapdm_context().

## n_recv

uint8_t lapd_msg_ctx::n_recv

Referenced by l2_ph_data_ind(), lapd_acknowledge(), lapd_rx_s(), lapd_send_i(), lapd_send_rej(), lapd_send_rnr(), lapd_send_rr(), lapd_t200_cb(), and lapdm_send_ph_data_req().

## n_send

uint8_t lapd_msg_ctx::n_send

Referenced by l2_ph_data_ind(), lapd_rx_i(), lapd_send_i(), lapd_t200_cb(), and lapdm_send_ph_data_req().

## p_f

uint8_t lapd_msg_ctx::p_f

Referenced by l2_ph_data_ind(), lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_i(), lapd_rx_s(), lapd_rx_u_dm(), lapd_rx_u_ua(), lapd_send_i(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_t200_cb(), and lapdm_send_ph_data_req().

## s_u

uint8_t lapd_msg_ctx::s_u

Referenced by l2_ph_data_ind(), lapd_acknowledge(), lapd_est_req(), lapd_rel_req(), lapd_res_req(), lapd_rx_s(), lapd_rx_u(), lapd_send_dm(), lapd_send_rej(), lapd_send_resend(), lapd_send_rnr(), lapd_send_rr(), lapd_send_ua(), lapd_udata_req(), lapdm_rx_not_permitted(), and lapdm_send_ph_data_req().

## sapi

uint8_t lapd_msg_ctx::sapi

Referenced by l2_ph_data_ind(), lapd_rx_i(), lapdm_rx_not_permitted(), lapdm_send_ph_data_req(), and set_lapdm_context().

## tei

uint8_t lapd_msg_ctx::tei

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapd_core.h